Index: LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90	(revision 5117)
@@ -247,5 +247,5 @@
   ! PRINT*,' isccp_cloud_types npoints=',npoints
 
-  ! if ( debug.ne.0 ) THEN
+  ! if ( debug.NE.0 ) THEN
   ! j=1
   ! WRITE(6,'(a10)') 'j='
@@ -301,5 +301,5 @@
   ! WRITE(6,'(8f10.2)') (dem_c(j,i),i=1,nlev)
   ! enddo
-  ! endif
+  ! END IF
 
   ! ---------------------------------------------------!
@@ -338,5 +338,5 @@
   ! IM
   ! IM
-  ! if (ncolprint.ne.0) THEN
+  ! if (ncolprint.NE.0) THEN
   ! do j=1,npoints,1000
   ! WRITE(6,'(a10)') 'j='
@@ -354,5 +354,5 @@
   ! &   ((cca(j,ilev),ibox=1,ncolprint),ilev=1,nlev)
   ! enddo
-  ! endif
+  ! END IF
 
   IF (top_height==1 .OR. top_height==3) THEN
@@ -391,5 +391,5 @@
   ! num1=0
   ! do j=1,npoints
-  ! if (cc(j,ilev) .lt. 0. .or. cc(j,ilev) .gt. 1.) THEN
+  ! if (cc(j,ilev) .lt. 0. .OR. cc(j,ilev) .gt. 1.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -407,5 +407,5 @@
   ! num1=0
   ! do j=1,npoints
-  ! if (conv(j,ilev) .lt. 0. .or. conv(j,ilev) .gt. 1.) THEN
+  ! if (conv(j,ilev) .lt. 0. .OR. conv(j,ilev) .gt. 1.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -457,5 +457,5 @@
   ! num1=0
   ! do j=1,npoints
-  ! if (dem_s(j,ilev) .lt. 0. .or. dem_s(j,ilev) .gt. 1.) THEN
+  ! if (dem_s(j,ilev) .lt. 0. .OR. dem_s(j,ilev) .gt. 1.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -476,5 +476,5 @@
   ! num1=0
   ! do j=1,npoints
-  ! if (dem_c(j,ilev) .lt. 0. .or. dem_c(j,ilev) .gt. 1.) THEN
+  ! if (dem_c(j,ilev) .lt. 0. .OR. dem_c(j,ilev) .gt. 1.) THEN
   ! num1=num1+1
   ! index1(num1)=j
@@ -516,5 +516,5 @@
 
   ! IM
-  ! if (ncolprint.ne.0) THEN
+  ! if (ncolprint.NE.0) THEN
   ! write (6,'(a)') 'frac_out_pp_rev:'
   ! do j=1,npoints,1000
@@ -527,6 +527,6 @@
   ! write (6,'(a)') 'ncol:'
   ! write (6,'(I3)') ncol
-  ! endif
-  ! if (ncolprint.ne.0) THEN
+  ! END IF
+  ! if (ncolprint.NE.0) THEN
   ! write (6,'(a)') 'last_frac_pp:'
   ! do j=1,npoints,1000
@@ -535,5 +535,5 @@
   ! write (6,'(8f5.2)') (tca(j,0))
   ! enddo
-  ! endif
+  ! END IF
 
   ! ---------------------------------------------------!
@@ -570,5 +570,5 @@
       END IF
       ! IM
-      ! IF (ncolprint.ne.0) THEN
+      ! IF (ncolprint.NE.0) THEN
       ! write (6,'(a)') 'threshold_nsf2:'
       ! do j=1,npoints,1000
@@ -580,5 +580,5 @@
     END IF
 
-    ! IF (ncolprint.ne.0) THEN
+    ! IF (ncolprint.NE.0) THEN
     ! write (6,'(a)') 'ilev:'
     ! write (6,'(I2)') ilev
@@ -681,5 +681,5 @@
 
     ! IM
-    ! if (ncolprint.ne.0) THEN
+    ! if (ncolprint.NE.0) THEN
     ! do j=1,npoints ,1000
     ! WRITE(6,'(a10)') 'j='
@@ -707,5 +707,5 @@
     ! &       ((frac_out(j,ibox,ilev2),ibox=1,ncolprint),ilev2=1,nlev)
     ! enddo
-    ! endif
+    ! END IF
 
 
@@ -737,9 +737,9 @@
     DO ibox = 1, ncol
       DO j = 1, npoints
-        ! IM REAL              if (frac_out(j,ibox,ilev).eq.1) THEN
+        ! IM REAL              if (frac_out(j,ibox,ilev).EQ.1) THEN
         IF (frac_out(j,ibox,ilev)==1.0) THEN
           tau(j, ibox) = tau(j, ibox) + dtau_s(j, ilev)
         END IF
-        ! IM REAL              if (frac_out(j,ibox,ilev).eq.2) THEN
+        ! IM REAL              if (frac_out(j,ibox,ilev).EQ.2) THEN
         IF (frac_out(j,ibox,ilev)==2.0) THEN
           tau(j, ibox) = tau(j, ibox) + dtau_c(j, ilev)
@@ -749,5 +749,5 @@
   END DO ! ilev
   ! IM
-  ! if (ncolprint.ne.0) THEN
+  ! if (ncolprint.NE.0) THEN
   ! do j=1,npoints ,1000
   ! WRITE(6,'(a10)') 'j='
@@ -757,5 +757,5 @@
   ! &          (tau(j,ibox),ibox=1,ncolprint)
   ! enddo
-  ! endif
+  ! END IF
 
   ! ---------------------------------------------------!
@@ -796,5 +796,5 @@
     t0 = 296.
     ! IM
-    ! if (ncolprint .ne. 0)
+    ! if (ncolprint .NE. 0)
     ! &         WRITE(6,*)  'ilev   pw (kg/m2)   tauwv(j)      dem_wv'
     DO ilev = 1, nlev
@@ -816,5 +816,5 @@
       END DO
       ! IM
-      ! if (ncolprint .ne. 0) THEN
+      ! if (ncolprint .NE. 0) THEN
       ! do j=1,npoints ,1000
       ! WRITE(6,'(a10)') 'j='
@@ -824,5 +824,5 @@
       ! &           tauwv(j),dem_wv(j,ilev)
       ! enddo
-      ! endif
+      ! END IF
     END DO
 
@@ -856,5 +856,5 @@
       END DO
       ! IM
-      ! if (ncolprint.ne.0) THEN
+      ! if (ncolprint.NE.0) THEN
       ! do j=1,npoints ,1000
       ! WRITE(6,'(a10)') 'j='
@@ -868,5 +868,5 @@
       ! &             100.*fluxtop_clrsky(j),trans_layers_above_clrsky(j)
       ! enddo
-      ! endif
+      ! END IF
 
     END DO !loop over level
@@ -882,5 +882,5 @@
 
     ! IM
-    ! if (ncolprint.ne.0) THEN
+    ! if (ncolprint.NE.0) THEN
     ! do j=1,npoints ,1000
     ! WRITE(6,'(a10)') 'j='
@@ -894,5 +894,5 @@
     ! &       trans_layers_above_clrsky(j)
     ! enddo
-    ! endif
+    ! END IF
 
       !           END OF CLEAR SKY CALCULATION
@@ -902,5 +902,5 @@
 
     ! IM
-    ! if (ncolprint.ne.0) THEN
+    ! if (ncolprint.NE.0) THEN
     ! do j=1,npoints ,1000
     ! WRITE(6,'(a10)') 'j='
@@ -914,5 +914,5 @@
 
     ! enddo
-    ! endif
+    ! END IF
       !loop over columns
     DO ibox = 1, ncol
@@ -935,8 +935,8 @@
 
             ! emissivity for point in this layer
-          ! IM REAL             if (frac_out(j,ibox,ilev).eq.1) THEN
+          ! IM REAL             if (frac_out(j,ibox,ilev).EQ.1) THEN
           IF (frac_out(j,ibox,ilev)==1.0) THEN
             dem(j, ibox) = 1. - ((1.-dem_wv(j,ilev))*(1.-dem_s(j,ilev)))
-            ! IM REAL             else if (frac_out(j,ibox,ilev).eq.2) THEN
+            ! IM REAL             ELSE IF (frac_out(j,ibox,ilev).EQ.2) THEN
           ELSE IF (frac_out(j,ibox,ilev)==2.0) THEN
             dem(j, ibox) = 1. - ((1.-dem_wv(j,ilev))*(1.-dem_c(j,ilev)))
@@ -962,5 +962,5 @@
 
       ! IM
-      ! if (ncolprint.ne.0) THEN
+      ! if (ncolprint.NE.0) THEN
       ! do j=1,npoints,1000
       ! write (6,'(a)') 'ilev:'
@@ -983,5 +983,5 @@
       ! &          (trans_layers_above(j,ibox),ibox=1,ncolprint)
       ! enddo
-      ! endif
+      ! END IF
 
     END DO ! ilev
@@ -1006,5 +1006,5 @@
 
     ! IM
-    ! if (ncolprint.ne.0) THEN
+    ! if (ncolprint.NE.0) THEN
     ! do j=1,npoints ,1000
     ! WRITE(6,'(a10)') 'j='
@@ -1022,5 +1022,5 @@
     ! write (6,'(8f7.2)') (100.*fluxtop(j,ibox),ibox=1,ncolprint)
     ! END DO
-    ! endif
+    ! END IF
 
       !now that you have the top of atmosphere radiance account
@@ -1099,5 +1099,5 @@
 
     ! IM
-    ! if (ncolprint.ne.0) THEN
+    ! if (ncolprint.NE.0) THEN
     ! do j=1,npoints,1000
     ! WRITE(6,'(a10)') 'j='
@@ -1141,5 +1141,5 @@
     ! write (6,'(8f7.2)') (tb(j,ibox),ibox=1,ncolprint)
     ! enddo ! j
-    ! endif
+    ! END IF
 
   END IF
@@ -1198,5 +1198,5 @@
       END DO ! j
 
-    ELSE ! if (top_height .eq. 1 .or. top_height .eq. 3)
+    ELSE ! if (top_height .EQ. 1 .OR. top_height .EQ. 3)
 
       DO j = 1, npoints
@@ -1206,5 +1206,5 @@
         DO j = 1, npoints
           IF ((ptop(j,ibox)==0.) & ! IM  &
-                                   ! .and.(frac_out(j,ibox,ilev) .ne. 0))
+                                   ! .AND.(frac_out(j,ibox,ilev) .NE. 0))
                                    ! THEN
               .AND. (frac_out(j,ibox,ilev)/=0.0)) THEN
@@ -1385,21 +1385,21 @@
           ! if (tau(j,ibox) .lt. isccp_taumin) THEN
           ! itau(j)=1
-          ! else if (tau(j,ibox) .ge. isccp_taumin
+          ! ELSE IF (tau(j,ibox) .ge. isccp_taumin
           ! &
-          ! &          .and. tau(j,ibox) .lt. 1.3) THEN
+          ! &          .AND. tau(j,ibox) .lt. 1.3) THEN
           ! itau(j)=2
-          ! else if (tau(j,ibox) .ge. 1.3
-          ! &          .and. tau(j,ibox) .lt. 3.6) THEN
+          ! ELSE IF (tau(j,ibox) .ge. 1.3
+          ! &          .AND. tau(j,ibox) .lt. 3.6) THEN
           ! itau(j)=3
-          ! else if (tau(j,ibox) .ge. 3.6
-          ! &          .and. tau(j,ibox) .lt. 9.4) THEN
+          ! ELSE IF (tau(j,ibox) .ge. 3.6
+          ! &          .AND. tau(j,ibox) .lt. 9.4) THEN
           ! itau(j)=4
-          ! else if (tau(j,ibox) .ge. 9.4
-          ! &          .and. tau(j,ibox) .lt. 23.) THEN
+          ! ELSE IF (tau(j,ibox) .ge. 9.4
+          ! &          .AND. tau(j,ibox) .lt. 23.) THEN
           ! itau(j)=5
-          ! else if (tau(j,ibox) .ge. 23.
-          ! &          .and. tau(j,ibox) .lt. 60.) THEN
+          ! ELSE IF (tau(j,ibox) .ge. 23.
+          ! &          .AND. tau(j,ibox) .lt. 60.) THEN
           ! itau(j)=6
-          ! else if (tau(j,ibox) .ge. 60.) THEN
+          ! ELSE IF (tau(j,ibox) .ge. 60.) THEN
           ! itau(j)=7
           ! end if
@@ -1407,20 +1407,20 @@
           !determine cloud top pressure category
           ! if (    ptop(j,ibox) .gt. 0.
-          ! &          .and.ptop(j,ibox) .lt. 180.) THEN
+          ! &          .AND.ptop(j,ibox) .lt. 180.) THEN
           ! ipres(j)=1
           ! else IF(ptop(j,ibox) .ge. 180.
-          ! &          .and.ptop(j,ibox) .lt. 310.) THEN
+          ! &          .AND.ptop(j,ibox) .lt. 310.) THEN
           ! ipres(j)=2
           ! else IF(ptop(j,ibox) .ge. 310.
-          ! &          .and.ptop(j,ibox) .lt. 440.) THEN
+          ! &          .AND.ptop(j,ibox) .lt. 440.) THEN
           ! ipres(j)=3
           ! else IF(ptop(j,ibox) .ge. 440.
-          ! &          .and.ptop(j,ibox) .lt. 560.) THEN
+          ! &          .AND.ptop(j,ibox) .lt. 560.) THEN
           ! ipres(j)=4
           ! else IF(ptop(j,ibox) .ge. 560.
-          ! &          .and.ptop(j,ibox) .lt. 680.) THEN
+          ! &          .AND.ptop(j,ibox) .lt. 680.) THEN
           ! ipres(j)=5
           ! else IF(ptop(j,ibox) .ge. 680.
-          ! &          .and.ptop(j,ibox) .lt. 800.) THEN
+          ! &          .AND.ptop(j,ibox) .lt. 800.) THEN
           ! ipres(j)=6
           ! else IF(ptop(j,ibox) .ge. 800.) THEN
@@ -1439,6 +1439,6 @@
           !update frequencies W500
           ! if (pct_ocean(j)) THEN
-          ! if (ipres(j) .gt. 0.and.itau(j) .gt. 0) THEN
-          ! if (iw(j) .gt. int(wmin).and.iw(j) .le. iwmx) THEN
+          ! if (ipres(j) .gt. 0.AND.itau(j) .gt. 0) THEN
+          ! if (iw(j) .gt. int(wmin).AND.iw(j) .le. iwmx) THEN
           ! PRINT*,' ISCCP iw=',iw(j),j
           ! fq_dynreg(itau(j),ipres(j),iw(j))=
@@ -1469,9 +1469,9 @@
     ! IF(j.EQ.6722) THEN
     ! PRINT*,' ISCCP',w(j),iw(j),ipres(j),itau(j)
-    ! endif
+    ! END IF
 
     ! if (pct_ocean(j)) THEN
-    ! if (ipres(j) .gt. 0.and.itau(j) .gt. 0) THEN
-    ! if (iw(j) .gt. int(wmin).and.iw(j) .le. iwmx) THEN
+    ! if (ipres(j) .gt. 0.AND.itau(j) .gt. 0) THEN
+    ! if (iw(j) .gt. int(wmin).AND.iw(j) .le. iwmx) THEN
     ! IF(pctj(itau(j),ipres(j),iw(j))) THEN
     ! nfq_dynreg(itau(j),ipres(j),iw(j))=
@@ -1482,9 +1482,9 @@
     ! &    nfq_dynreg(itau(j),ipres(j),iw(j)),
     ! &    fq_dynreg(itau(j),ipres(j),iw(j))
-    ! endif
-    ! endif
-    ! endif
-    ! endif
-    ! endif
+    ! END IF
+    ! END IF
+    ! END IF
+    ! END IF
+    ! END IF
 
   END DO
@@ -1510,9 +1510,9 @@
   ! PRINT*,' isccp APRES',nfq_dynreg(k,l,nw),
   ! &   fq_dynreg(k,l,nw)
-  ! endif
+  ! END IF
   ! else
   ! IF(fq_dynreg(k,l,nw).NE.0.) THEN
   ! PRINT*,'nfq_dynreg = 0 tau,pc,nw',k,l,nw,fq_dynreg(k,l,nw)
-  ! endif
+  ! END IF
   ! fq_dynreg(k,l,nw) = -1.E+20
   ! nfq_dynreg(k,l,nw) = 1.E+20
@@ -1528,5 +1528,5 @@
 
   ! cIM
-  ! if (debugcol.ne.0) THEN
+  ! if (debugcol.NE.0) THEN
   ! do j=1,npoints,debugcol
 
@@ -1541,5 +1541,5 @@
   ! do ibox=1,ncol
   ! acc(ilev,ibox)=frac_out(j,ibox,ilev)*2
-  ! if (levmatch(j,ibox) .eq. ilev)
+  ! if (levmatch(j,ibox) .EQ. ilev)
   ! &                 acc(ilev,ibox)=acc(ilev,ibox)+1
   ! enddo
@@ -1565,5 +1565,5 @@
 
   ! IM
-  ! if (ncolprint.ne.0) THEN
+  ! if (ncolprint.NE.0) THEN
   ! WRITE(6,'(a1)') ' '
   ! WRITE(6,'(a2,1X,5(a7,1X),a50)')
@@ -1594,5 +1594,5 @@
   ! write (6,'(a)') 'ptop:'
   ! write (6,'(8f7.2)') (ptop(j,ibox),ibox=1,ncolprint)
-  ! endif
+  ! END IF
 
   ! enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5117)
@@ -33,6 +33,6 @@
 ! INTEGER :: iflag_num_atke    ! flag that controls the numerical treatment of diffusion coeffiient calculation
 
-! logical :: atke_ok_vdiff    ! activate vertical diffusion of TKE or not
-! logical :: atke_ok_virtual  ! account for vapor for flottability
+! LOGICAL :: atke_ok_vdiff    ! activate vertical diffusion of TKE or not
+! LOGICAL :: atke_ok_virtual  ! account for vapor for flottability
 
 ! REAL :: kappa = 0.4         ! Von Karman constant
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5117)
@@ -5,24 +5,24 @@
   ! declaration of constants and parameters
 
-  real, save, protected :: rg, rd, rpi, rcpd, rv, viscom, viscoh
+  REAL, SAVE, protected :: rg, rd, rpi, rcpd, rv, viscom, viscoh
   !$OMP THREADPRIVATE(rg, rd, rpi, rcpd, rv, viscom, viscoh)
 
-  integer, save, protected :: iflag_atke        ! flag that controls options in atke_compute_km_kh
-  integer, save, protected :: iflag_atke_lmix   ! flag that controls the calculation of mixing length in atke
-  integer, save, protected :: iflag_num_atke    ! flag that controls the numerical treatment of diffusion coeffiient calculation
+  INTEGER, SAVE, protected :: iflag_atke        ! flag that controls options in atke_compute_km_kh
+  INTEGER, SAVE, protected :: iflag_atke_lmix   ! flag that controls the calculation of mixing length in atke
+  INTEGER, SAVE, protected :: iflag_num_atke    ! flag that controls the numerical treatment of diffusion coeffiient calculation
   !$OMP THREADPRIVATE(iflag_atke, iflag_atke_lmix, iflag_num_atke)
 
-  logical, save, protected :: atke_ok_vdiff    ! activate vertical diffusion of TKE or not
-  logical, save, protected :: atke_ok_virtual  ! account for vapor for flottability
+  logical, SAVE, protected :: atke_ok_vdiff    ! activate vertical diffusion of TKE or not
+  logical, SAVE, protected :: atke_ok_virtual  ! account for vapor for flottability
   !$OMP THREADPRIVATE(atke_ok_vdiff, atke_ok_virtual)
 
-  real, save, protected :: kappa = 0.4         ! Von Karman constant
-  real, save, protected :: cn                  ! Sm value at Ri=0
-  real, save, protected :: cinf                ! Sm value at Ri=-Inf
-  real, save, protected :: ri0                 ! Richardson number near zero to guarantee continuity in slope of Sm (stability function) at Ri=0
-  real, save, protected :: ri1                 ! Richardson number near zero to guarantee continuity in slope of Pr (Prandlt's number) at Ri=0
-  real, save, protected :: lmin = 0.01         ! minimum mixing length corresponding to the Kolmogov dissipation scale  in planetary atmospheres (Chen et al 2016, JGR Atmos)
-  real, save, protected :: ctkes               ! coefficient for surface TKE
-  real, save, protected :: clmixshear          ! coefficient for mixing length depending on local wind shear
+  REAL, SAVE, protected :: kappa = 0.4         ! Von Karman constant
+  REAL, SAVE, protected :: cn                  ! Sm value at Ri=0
+  REAL, SAVE, protected :: cinf                ! Sm value at Ri=-Inf
+  REAL, SAVE, protected :: ri0                 ! Richardson number near zero to guarantee continuity in slope of Sm (stability function) at Ri=0
+  REAL, SAVE, protected :: ri1                 ! Richardson number near zero to guarantee continuity in slope of Pr (Prandlt's number) at Ri=0
+  REAL, SAVE, protected :: lmin = 0.01         ! minimum mixing length corresponding to the Kolmogov dissipation scale  in planetary atmospheres (Chen et al 2016, JGR Atmos)
+  REAL, SAVE, protected :: ctkes               ! coefficient for surface TKE
+  REAL, SAVE, protected :: clmixshear          ! coefficient for mixing length depending on local wind shear
   !$OMP THREADPRIVATE(kappa, cn, cinf, ri0, ri1, lmin, ctkes, clmixshear)
 
@@ -30,14 +30,14 @@
   ! Tunable parameters for the ATKE scheme and their range of values
   !!-------------------------------------------------------------------------------------------------------------
-  real, save, protected :: cepsilon            ! controls the value of the dissipation length scale, range [1.2 - 10]
-  real, save, protected :: cke                 ! controls the value of the diffusion coefficient of TKE, range [1 - 5]
-  real, save, protected :: l0                  ! asymptotic mixing length far from the ground [m] (Sun et al 2011, JAMC), range [15 - 75]
-  real, save, protected :: clmix               ! controls the value of the mixing length in stratified conditions, range [0.1 - 2]
-  real, save, protected :: ric                 ! critical Richardson number controlling the slope of Sm in stable conditions, range [0.19 - 0.25]
-  real, save, protected :: smmin               ! minimum value of Sm in very stable conditions (defined here as minsqrt(Ez/Ek)) at large Ri, range [0.025 - 0.1]
-  real, save, protected :: pr_neut             ! neutral value of the Prandtl number (Ri=0), range [0.7 - 1]
-  real, save, protected :: pr_slope            ! linear slope of Pr with Ri in the very stable regime, range [3 - 5]
-  real, save, protected :: cinffac             ! ratio between cinf and cn controlling the convective limit of Sm, range [1.2 - 5.0]
-  real, save, protected :: pr_asym             ! value of Prandlt in the convective limit(Ri=-Inf), range [0.3 - 0.5]
+  REAL, SAVE, protected :: cepsilon            ! controls the value of the dissipation length scale, range [1.2 - 10]
+  REAL, SAVE, protected :: cke                 ! controls the value of the diffusion coefficient of TKE, range [1 - 5]
+  REAL, SAVE, protected :: l0                  ! asymptotic mixing length far from the ground [m] (Sun et al 2011, JAMC), range [15 - 75]
+  REAL, SAVE, protected :: clmix               ! controls the value of the mixing length in stratified conditions, range [0.1 - 2]
+  REAL, SAVE, protected :: ric                 ! critical Richardson number controlling the slope of Sm in stable conditions, range [0.19 - 0.25]
+  REAL, SAVE, protected :: smmin               ! minimum value of Sm in very stable conditions (defined here as minsqrt(Ez/Ek)) at large Ri, range [0.025 - 0.1]
+  REAL, SAVE, protected :: pr_neut             ! neutral value of the Prandtl number (Ri=0), range [0.7 - 1]
+  REAL, SAVE, protected :: pr_slope            ! linear slope of Pr with Ri in the very stable regime, range [3 - 5]
+  REAL, SAVE, protected :: cinffac             ! ratio between cinf and cn controlling the convective limit of Sm, range [1.2 - 5.0]
+  REAL, SAVE, protected :: pr_asym             ! value of Prandlt in the convective limit(Ri=-Inf), range [0.3 - 0.5]
   !$OMP THREADPRIVATE(cepsilon, cke, l0, clmix, ric, smmin, pr_neut, pr_slope, cinffac, pr_asym)
   !!-------------------------------------------------------------------------------------------------------------
@@ -58,5 +58,5 @@
     ! input arguments (universal constants for planet)
     !-------------------------------------------------
-    real, intent(in) :: rg_in, rd_in, rpi_in, rcpd_in, rv_in, viscom_in, viscoh_in
+    REAL, INTENT(IN) :: rg_in, rd_in, rpi_in, rcpd_in, rv_in, viscom_in, viscoh_in
     !!----------------------------------------------------------------------
 
@@ -81,5 +81,5 @@
     CALL getin_p('iflag_atke_lmix', iflag_atke_lmix)
 
-    if (iflag_atke == 0 .and. iflag_atke_lmix>0) THEN
+    IF (iflag_atke == 0 .AND. iflag_atke_lmix>0) THEN
       CALL abort_physic("atke_turbulence_ini", &
               'stationary scheme must use mixing length formulation not depending on tke', 1)
@@ -121,5 +121,5 @@
     CALL getin_p('atke_cinffac', cinffac)
     cinf = cinffac * cn
-    if (cinf <= cn) THEN
+    IF (cinf <= cn) THEN
       CALL abort_physic("atke_turbulence_ini", &
               'cinf cannot be lower than cn', 1)
@@ -134,5 +134,5 @@
     pr_slope = 5.0 ! default value from Zilitinkevich et al. 2005
     CALL getin_p('atke_pr_slope', pr_slope)
-    if (pr_slope <= 1) THEN
+    IF (pr_slope <= 1) THEN
       CALL abort_physic("atke_turbulence_ini", &
               'pr_slope has to be greater than 1 for consistency of the tke scheme', 1)
@@ -146,5 +146,5 @@
     pr_asym = 0.4
     CALL getin_p('atke_pr_asym', pr_asym)
-    if (pr_asym >= pr_neut) THEN
+    IF (pr_asym >= pr_neut) THEN
       CALL abort_physic("atke_turbulence_ini", &
               'pr_asym must be be lower than pr_neut', 1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90	(revision 5117)
@@ -3,8 +3,8 @@
 IMPLICIT NONE
 
-   real, save, protected :: RCPD, RV, RLSTT, RLVTT, RLMLT, RVTMP2, RTT,RD,RG, RPI
-   real, save, protected :: coef_sub_bs, fallv_bs, zeta_bs, c_esalt_bs
-   real, save, protected :: prt_bs, pbst_bs, qbst_bs, r_bs
-   integer, save, protected :: iflag_saltation_bs, iflag_sedim_bs, iflag_sublim_bs
+   REAL, SAVE, protected :: RCPD, RV, RLSTT, RLVTT, RLMLT, RVTMP2, RTT,RD,RG, RPI
+   REAL, SAVE, protected :: coef_sub_bs, fallv_bs, zeta_bs, c_esalt_bs
+   REAL, SAVE, protected :: prt_bs, pbst_bs, qbst_bs, r_bs
+   INTEGER, SAVE, protected :: iflag_saltation_bs, iflag_sedim_bs, iflag_sublim_bs
 
    !$OMP THREADPRIVATE(RCPD, RV, RLSTT, RLVTT, RLMLT, RVTMP2, RTT,RD,RG, RPI)
@@ -13,17 +13,17 @@
    !$OMP THREADPRIVATE(iflag_sedim_bs, iflag_sublim_bs)
 
-   real, save, protected :: tbsmelt=278.15    ! parameter to calculate melting fraction of BS sedimentation
-   real, save, protected :: taumeltbs0=600.0  ! Melting time scale of blowing snow at 273.15K
-   real, save, protected :: qbmin=1.E-10      ! Minimum blowing snow specific content
+   REAL, SAVE, protected :: tbsmelt=278.15    ! parameter to calculate melting fraction of BS sedimentation
+   REAL, SAVE, protected :: taumeltbs0=600.0  ! Melting time scale of blowing snow at 273.15K
+   REAL, SAVE, protected :: qbmin=1.E-10      ! Minimum blowing snow specific content
    !$OMP THREADPRIVATE(tbsmelt, taumeltbs0, qbmin)
 
-   real, save, protected :: tau_dens0_bs=864000.      ! 10 days by default, in s
-   real, save, protected :: tau_densmin_bs= 21600.    ! 1/4 days according to in situ obs by C. Amory during blowing snow +
+   REAL, SAVE, protected :: tau_dens0_bs=864000.      ! 10 days by default, in s
+   REAL, SAVE, protected :: tau_densmin_bs= 21600.    ! 1/4 days according to in situ obs by C. Amory during blowing snow +
                                                       ! Marshall et al. 1999 (snow densification during rain)
-   real, save, protected :: tau_eqsalt_bs= 10.        ! Nemoto and Nishimura 2004 show that steady-state saltation is achieved within a time tau_eqsalt of about 10s
-   real, save, protected :: rhofresh_bs = 300.0       ! fresh snow density kg/m3
-   real, save, protected :: rhohard_bs = 450.0       ! hard snow density kg/m3
-   real, save, protected :: rhoice_bs = 920.0         ! ice density kg/m3
-   real, save, protected :: rhobs=900.0               ! blowing snow density (kg/m3) following Bintanja et al. 2001 part I
+   REAL, SAVE, protected :: tau_eqsalt_bs= 10.        ! Nemoto and Nishimura 2004 show that steady-state saltation is achieved within a time tau_eqsalt of about 10s
+   REAL, SAVE, protected :: rhofresh_bs = 300.0       ! fresh snow density kg/m3
+   REAL, SAVE, protected :: rhohard_bs = 450.0       ! hard snow density kg/m3
+   REAL, SAVE, protected :: rhoice_bs = 920.0         ! ice density kg/m3
+   REAL, SAVE, protected :: rhobs=900.0               ! blowing snow density (kg/m3) following Bintanja et al. 2001 part I
    !$OMP THREADPRIVATE(rhoice_bs, rhofresh_bs, rhohard_bs, tau_dens0_bs, tau_densmin_bs, tau_eqsalt_bs, rhobs)
 
@@ -36,6 +36,6 @@
          USE lmdz_ioipsl_getin_p, ONLY: getin_p
 
-         real, intent(in) :: RCPD_in, RLSTT_in, RLVTT_in, RLMLT_in, RPI_in
-         real, intent(in) ::  RVTMP2_in, RTT_in, RD_in, RG_in, RV_in
+         REAL, INTENT(IN) :: RCPD_in, RLSTT_in, RLVTT_in, RLMLT_in, RPI_in
+         REAL, INTENT(IN) ::  RVTMP2_in, RTT_in, RD_in, RG_in, RV_in
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5117)
@@ -11,6 +11,6 @@
 
 
-use lmdz_blowing_snow_ini, ONLY: iflag_sublim_bs, iflag_sedim_bs, coef_sub_bs,RTT,RD,RG,fallv_bs
-use lmdz_blowing_snow_ini, ONLY: qbmin, RCPD, RLSTT, RLMLT, RLVTT, RVTMP2, RV, RPI, tbsmelt, taumeltbs0, rhobs, r_bs
+USE lmdz_blowing_snow_ini, ONLY: iflag_sublim_bs, iflag_sedim_bs, coef_sub_bs,RTT,RD,RG,fallv_bs
+USE lmdz_blowing_snow_ini, ONLY: qbmin, RCPD, RLSTT, RLMLT, RLVTT, RVTMP2, RV, RPI, tbsmelt, taumeltbs0, rhobs, r_bs
 USE lmdz_lscp_tools, ONLY: calc_qsat_ecmwf
 
@@ -25,11 +25,11 @@
 !=====
 
-integer, intent(in)                     :: ngrid,nlay
-real, intent(in)                        :: dtime
-real, intent(in), dimension(ngrid,nlay) :: temp
-real, intent(in), dimension(ngrid,nlay) :: qv
-real, intent(in), dimension(ngrid,nlay) :: qb
-real, intent(in), dimension(ngrid,nlay) :: pplay
-real, intent(in), dimension(ngrid,nlay+1) :: paprs
+INTEGER, INTENT(IN)                     :: ngrid,nlay
+REAL, INTENT(IN)                        :: dtime
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: temp
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: qv
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: qb
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: pplay
+REAL, INTENT(IN), DIMENSION(ngrid,nlay+1) :: paprs
 
 
@@ -39,9 +39,9 @@
 
 
-real, intent(out), dimension(ngrid,nlay) :: dtemp_bs
-real, intent(out), dimension(ngrid,nlay) :: dqv_bs
-real, intent(out), dimension(ngrid,nlay) :: dqb_bs
-real, intent(out), dimension(ngrid,nlay+1) :: bsfl
-real, intent(out), dimension(ngrid)      :: precip_bs
+REAL, INTENT(OUT), DIMENSION(ngrid,nlay) :: dtemp_bs
+REAL, INTENT(OUT), DIMENSION(ngrid,nlay) :: dqv_bs
+REAL, INTENT(OUT), DIMENSION(ngrid,nlay) :: dqb_bs
+REAL, INTENT(OUT), DIMENSION(ngrid,nlay+1) :: bsfl
+REAL, INTENT(OUT), DIMENSION(ngrid)      :: precip_bs
 
 
@@ -50,5 +50,5 @@
 
 
-integer                                  :: k,i,n
+INTEGER                                  :: k,i,n
 real                                     :: cpd, cpw, dqbsub, maxdqbsub, dqbmelt, zmair
 real                                     :: dqsedim,precbs, dqvmelt, zmelt, taumeltbs
@@ -56,7 +56,7 @@
 real                                     :: delta_p, b_p, a_p, c_p, c_sub, qvsub
 real                                     :: p0, T0, Dv, Aprime, Bprime, Ka
-real, dimension(ngrid)                   :: ztemp,zqv,zqb,zpres,qsi,dqsi,qsl,dqsl,qzero,sedim
-real, dimension(ngrid)                   :: zpaprsup, zpaprsdn, ztemp_up, zqb_up, zvelo
-real, dimension(ngrid,nlay)              :: temp_seri, qb_seri, qv_seri
+REAL, DIMENSION(ngrid)                   :: ztemp,zqv,zqb,zpres,qsi,dqsi,qsl,dqsl,qzero,sedim
+REAL, DIMENSION(ngrid)                   :: zpaprsup, zpaprsdn, ztemp_up, zqb_up, zvelo
+REAL, DIMENSION(ngrid,nlay)              :: temp_seri, qb_seri, qv_seri
 
 !++++++++++++++++++++++++++++++++++++++++++++++++++
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5117)
@@ -118,8 +118,8 @@
 
 
-integer i,k
-real ml,F1,rho
-real, dimension(ngrid) :: play1,temp1
-real, dimension(ngrid,nlay+1) :: K_big
+INTEGER i,k
+REAL ml,F1,rho
+REAL, DIMENSION(ngrid) :: play1,temp1
+REAL, DIMENSION(ngrid,nlay+1) :: K_big
 
 ! computation of K_big
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90	(revision 5117)
@@ -6,5 +6,5 @@
                                   dtemp_bs,dq_bs,dqbs_bs,bsfl,precip_bs)
 
-use lmdz_blowing_snow_sublim_sedim, ONLY: blowing_snow_sublim_sedim
+USE lmdz_blowing_snow_sublim_sedim, ONLY: blowing_snow_sublim_sedim
 IMPLICIT NONE
 
@@ -12,11 +12,11 @@
 !=====
 
-integer, intent(in)                     :: ngrid,nlay
-real, intent(in)                        :: dtime
-real, intent(in), dimension(ngrid,nlay) :: temp
-real, intent(in), dimension(ngrid,nlay) :: q
-real, intent(in), dimension(ngrid,nlay) :: qbs
-real, intent(in), dimension(ngrid,nlay) :: pplay
-real, intent(in), dimension(ngrid,nlay+1) :: paprs
+INTEGER, INTENT(IN)                     :: ngrid,nlay
+REAL, INTENT(IN)                        :: dtime
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: temp
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: q
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: qbs
+REAL, INTENT(IN), DIMENSION(ngrid,nlay) :: pplay
+REAL, INTENT(IN), DIMENSION(ngrid,nlay+1) :: paprs
 
 
@@ -25,9 +25,9 @@
 
 
-real, intent(out), dimension(ngrid,nlay) :: dtemp_bs
-real, intent(out), dimension(ngrid,nlay) :: dq_bs
-real, intent(out), dimension(ngrid,nlay) :: dqbs_bs
-real, intent(out), dimension(ngrid,nlay+1) :: bsfl
-real, intent(out), dimension(ngrid)      :: precip_bs
+REAL, INTENT(OUT), DIMENSION(ngrid,nlay) :: dtemp_bs
+REAL, INTENT(OUT), DIMENSION(ngrid,nlay) :: dq_bs
+REAL, INTENT(OUT), DIMENSION(ngrid,nlay) :: dqbs_bs
+REAL, INTENT(OUT), DIMENSION(ngrid,nlay+1) :: bsfl
+REAL, INTENT(OUT), DIMENSION(ngrid)      :: precip_bs
 
       
